GET /DataCube/QueryDataCubeInfos/

Gets the collection of for the specified project and tenant ID.
 

Request

Method Request URI
GET /API/DataCube/QueryDataCubeInfos/?projectId=value&tenantId=value&storageType=value&jobRunResult=value&sessionId=value

URI Parameters

URI Parameter Description
projectId The project ID. Use null when requesting information for all projects.
tenantId The tenant ID. Use null when requesting information for all tenants.
storageType The storage type by which to filter the data cubes.
jobRunResult The job result by which to filter the data cubes.
sessionId The current session ID. Specifying via an Authorization request header instead is recommended.

Request Headers

Authorization: Bearer <Current session ID>

Request Body

There is no Request Body for this function.

Response

Response Body

An array of Dundas.BI.WebApi.Models.DataCubeInfoData object, or a status code indicating the problem.